javax.mail

## Class Session

- java.lang.Object
- - javax.mail.Session

-     public class Session
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Session()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Session` | `getInstance(java.util.Properties props)`
    `static Session` | `getInstance(java.util.Properties props, Authenticator auth)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Session

          public Session()

  - ### Method Detail

    - #### getInstance

          public static Session getInstance(java.util.Properties props,
                            Authenticator auth)

    - #### getInstance

          public static Session getInstance(java.util.Properties props)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.